summaryrefslogtreecommitdiffstats
path: root/deps/strigi/strigi.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-01-09 00:06:49 +0100
committer Eric Hameleers <alien@slackware.com>2015-01-09 00:06:49 +0100
commitda1be5a21ba06235b67a999f696ec66e35dc17a1 (patch)
tree6df637d821a6ac0ad65f8caaf967ea2a6956a862 /deps/strigi/strigi.SlackBuild
parentb1b35d20ce6b70330b23a9d056dcb44b58795bd6 (diff)
downloadktown-da1be5a21ba06235b67a999f696ec66e35dc17a1.tar.gz
ktown-da1be5a21ba06235b67a999f696ec66e35dc17a1.tar.xz
Prepare for new KDE 5: Frameworks 5.6.0, Plasma 5.1.2, Applications 14.12.0.
KDE 5_1501 ========== This is going to be KDE 5 for Slackware-current, composed of Frameworks 5.6.0, Plasma 5.1.2 and Applications 14.12.0. Note that there is still a lot of KDE 4 stuff in here, which is necessary to support all the Applications that have not yet been ported to KDE Frameworks 5. The Applications 15.04 (march 2015) release should offer a lot more KF5 ports. Preliminary build procedure (not verified 100% yet): ---------------------------------------------------- - (crude) get rid of Slackware's KDE: removepkg /var/log/packages/*-4.10.5-* - build all the deps using "updates.SlackBuild" script in the "deps/" directory - note that extra-cmake-modules is required here as well as when building the frameworks, so I just copied it from frameworks to deps. - logoff/login to activate Qt5 profile script. - removepkg akonadi-qt5 or else kdepimlibs-4.14.3 picks up Qt5 dependencies and its compilation will fail as a result - build all the KDE 4 stuff in the "kde/" directory, using "./KDE.SlackBuild kde libs kdebase:nepomuk-core kdepimlibs kdebase kdebindings kdebase:kde-workspace k depim extragear" - installpkg akonadi-qt5 - build the remaining KDE 5 stuff in the "kde/" directory, using "./KDE.SlackBui ld frameworks plasma plasma-extra polkit-kde applications" - build kdei ============================================================================== Eric Hameleers / alien at slackware dot com / 09-jan-2015
Diffstat (limited to '')
-rwxr-xr-xdeps/strigi/strigi.SlackBuild21
1 files changed, 10 insertions, 11 deletions
diff --git a/deps/strigi/strigi.SlackBuild b/deps/strigi/strigi.SlackBuild
index 69c248a..cfbc3da 100755
--- a/deps/strigi/strigi.SlackBuild
+++ b/deps/strigi/strigi.SlackBuild
@@ -21,25 +21,24 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified 2012, 2014 by Eric Hameleers <alien at slackware.com> for ARM port.
+# Modified 2012, 2014, 2015 by Eric Hameleers <alien at slackware.com> for ARM port.
PKGNAM=strigi
VERSION=${VERSION:-0.7.8}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j7}
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
if [ "$ARCH" = "i486" ]; then
@@ -70,13 +69,13 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
-#zcat $CWD/strigi-fix-ftbfs-with-gcc-4.7.diff.gz |patch -p1 --verbose || exit 1
+#cat $CWD/strigi-fix-ftbfs-with-gcc-4.7.diff |patch -p1 --verbose || exit 1
# Fix a linker DSO error:
-zcat $CWD/strigi-fix-missing-lucene-lib.diff.gz |patch -p1 --verbose || exit 1
+cat $CWD/strigi-fix-missing-lucene-lib.diff |patch -p1 --verbose || exit 1
# Fix indexing of jpegs with 'wrong' isoSpeedRatings:
-zcat $CWD/strigi-fix-jpeg-isospeedratings.diff.gz |patch -p1 --verbose || exit 1
+cat $CWD/strigi-fix-jpeg-isospeedratings.diff |patch -p1 --verbose || exit 1
# Fix a bug with gcc 4.8:
sed -i -e "s/BufferedStream :/STREAMS_EXPORT &/" libstreams/include/strigi/bufferedstream.h